class Transcript:

    name = None
    chrom = None
    strand = None
    txStart = txEnd = None
    cdsStart = cdsEnd = None
    exonCount = None
    exons = None
    gene = None
    alias = None
    model = None
    weight = None
    length = 0

    def __init__(self, name):
        self.name = name

    def full_name(self):
        alias = "NA"
        if self.alias:
            alias = self.alias
        
        return "%s %s" % (self.name, alias)

    def details(self):
        return "%s %s %s %s-%s %s" % (self.full_name(), self.chrom, self.strand, self.txStart, self.txEnd, self.exonCount)


