from string import maketrans

def set_attrs(obj, attrs):
    if attrs:
        for attr,value in attrs.iteritems():
            setattr(obj, attr, value)

def flatten(L):
    if type(L) != type([]): return [L]
    if L == []: return L
    return flatten(L[0]) + flatten(L[1:])

def reverse_complement(seq):
    complement = maketrans("agtcAGTC", "tcagTCAG")
    return seq[::-1].translate(complement)
